Skip to main content
`Ctrl`+`K`

# SNESMonitorFields

Monitors the residual for each field separately

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode SNESMonitorFields(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - the `SNES` context, must have an attached `DM`

- its - iteration number

- fgnorm - 2-norm of residual

- vf - `PetscViewerAndFormat` of `PetscViewerType` `PETSCVIEWERASCII`

## Note

This routine prints the residual norm at each iteration.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMonitorSet()`, `SNESMonitorDefault()`

## Level

intermediate

## Location

src/snes/utils/dmplexsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages